<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle`
           and uncomment the following Encore helpers to start using Symfony UX #}
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">

        <link href="{{ asset('css/base.css') }}" rel=stylesheet>
        {% block stylesheets %}
            {#{{ encore_entry_link_tags('app') }}#}
        {% endblock %}

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
        <script src="https://kit.fontawesome.com/618a63c68c.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
        <script>
	        {% block javascripts %}
	            {#{{ encore_entry_script_tags('app') }}#}
	        {% endblock %}

	        function addExtras(name, id, type = null, extras, chosenExtras = null, pizza_price){

				var extras = JSON.parse(extras);

	        	$.each(extras, function( index, value ) {
	        		$("."+value.name).removeClass("d-none");
	        		$("."+value.name).attr("data-show", 1);
				});

	        	if(type == 'checkout'){
					var action_url = `{{ path('add-extras', {'id': 'pizza_key'} ) }}`.replace('pizza_key', id);
	        	}else{
					var action_url = `{{ path('add-order', {'id': 'pizza_id'} ) }}`.replace('pizza_id', id);
	        	}
	        	$('#pizza_price_').val(pizza_price);
				$('#order-url').val(action_url);
				$('#pizza-title').html(' for '+name+' Pizza!');
				$('#pizza-type').val(name);
				$('.extras_input').prop('checked', false);

				var chosenExtras = JSON.parse(chosenExtras);

				$.each(chosenExtras, function( index, value ) {
	        		$("input[name="+value.name+"]").prop("checked", true);
				});

			}

			function checkout(){
				location.href = '/checkout-order';
			}

			$(document).ready(function (){
				$('#delivery-option').on('click', function(){
					if($(this).prop('data-check')){
						$(this).prop('data-check', 0);

						$('.delivery').each(function (){
							$(this).addClass('d-none');
						});
						$('.delivery-input').each(function (){
							$(this).val();
							$(this).prop('required', false);
						});

						var total_price = $("#total-price").attr('data-price');
						if(parseFloat($("#total-price").attr('data-price')) > 25.00){
							$("#total-price").attr('data-price', (parseFloat(total_price) - 0.00).toFixed(2));
							$("#total-price").html($("#total-price").attr('data-price'));
							$("#total-fee").html("0.00");
						}else{
							$("#total-price").attr('data-price', (parseFloat(total_price) - 1.50).toFixed(2));
							$("#total-price").html($("#total-price").attr('data-price'));
						}

					}else{
						$('.delivery').each(function (){
							$(this).removeClass('d-none');
						});
						$('.delivery-input').each(function (){
							$(this).val();
							$(this).prop('required', true);
						});

						var total_price = $("#total-price").attr('data-price');
						if(parseFloat($("#total-price").attr('data-price')) > 25.00){
							$("#total-price").attr('data-price', (parseFloat(total_price) + parseFloat(0.00)).toFixed(2));
							$("#total-price").html($("#total-price").attr('data-price'));
							$("#total-fee").html("0.00");
						}else{
							$("#total-price").attr('data-price', (parseFloat(total_price) + parseFloat(1.50)).toFixed(2));
							$("#total-price").html($("#total-price").attr('data-price'));
						}

						$(this).prop('data-check', 1);
					}
				});

				$('#language-select').on('change', function(){
					$.ajax({
						url: '{{ path("set-language") }}',
						type: 'POST',
						data: { 'lang': $(this).val() },
						success: function(data) {
							location.reload();
						}
					});
				});

				$('#add-order').on('click', function(){
					var totalItem = $('.float-counter').attr('data-counter');
					var totalPrice = parseFloat($('#pizza_price_').val());

					var checkedExtras = $(":checkbox:checked");

					checkedExtras.each(function (){
						totalPrice = totalPrice + parseFloat($(this).attr('data-price'));
					});

					finalPrice = parseFloat($('.total-price').attr('data-price')) + totalPrice;

					$('.total-price').html(finalPrice);
					$('.total-price').attr('data-price', finalPrice);

					$('.total-counter').html(parseInt(totalItem) + 1);
					$('.total-counter').attr('data-counter', parseInt(totalItem) + 1);

					var url = $('#order-url').val();
					var formData = new FormData($('#extrasForm')[0]);
					formData.append('total_price', finalPrice);
					$.ajax({
						url: url,
						type: 'POST',
						data: formData,
						processData: false,
						contentType: false,
						success: function(data) {
							console.log(data);
							if(data == 'extras-added'){
								location.reload();
							}
						}
					});
				});
			});

        </script>
    </head>
    <body>
	{% if menu != 'login'%}
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
			<div class="container-fluid">
				{% if menu == 'admin' %}
					<a class="navbar-brand" href="/admin-dashboard">Pizza Plaza Admin</a>
				{% else %}
					<a class="navbar-brand" href="/">Pizza Plaza</a>
				{% endif %}
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarPizza" aria-controls="navbarPizza" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				{% if menu != 'admin'%}
				<div class="{{ menu == 'online-ordering' ? '' : 'd-none' }} text-white position-absolute top-50 start-50 translate-middle" onclick="checkout();" style="cursor: pointer;">
					{{ lang == 'de' ? 'Gesamtartikel' : 'Total Item' }}: <span class="total-counter" data-counter="{{ totalItem }}">{{ totalItem }}</span> |
					{{ lang == 'de' ? 'Preis' : 'Price' }}: €<span class="total-price" data-price="{{ totalPrice }}">{{ totalPrice }}</span>
				</div>
				<div class="collapse navbar-collapse" id="navbarPizza">
					<div class="me-auto mb-2 mb-lg-0 mb-lg-0">
					</div>
					<ul class="navbar-nav ">
						<li class="nav-item">
							<a class="nav-link {{ menu == 'online-ordering' ? 'active' : '' }}" href="/online-ordering">{{ lang == 'de' ? 'Online-Bestellung' : 'Online Ordering' }}</a>
						</li>
						<li class="nav-item">
							<a class="nav-link {{ menu == 'about' ? 'active' : '' }}" href="/about">{{ lang == 'de' ? 'Über uns' : 'About Us' }}</a>
						</li>
						<li class="nav-item">
							<a class="nav-link {{ menu == 'contact' ? 'active' : '' }}" href="/contact">{{ lang == 'de' ? 'Kontakt' : 'Contact' }}</a>
						</li>
						<li class="nav-item">
							<a class="nav-link {{ menu == 'imprint' ? 'active' : '' }}" href="/imprint">{{ lang == 'de' ? 'Impressum' : 'Imprint' }}</a>
						</li>
						<li class="nav-item pt-2">
							<select id="language-select">
							  	<option value="de" {{ lang == 'de' ? 'selected' : ''}}> German</option>
							    <option value="en" {{ lang == 'en' ? 'selected' : ''}}> English</option>
							</select>
						</li>
					</ul>
				</div>
				{% endif %}
			</div>
		</nav>
		{% endif %}
        {% block body %}{% endblock %}

		{% if menu != 'login' and menu != 'admin' %}
		<!-- Modal -->
		<div class="modal fade" id="extrasModal" tabindex="-1" aria-labelledby="extrasModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<form id="extrasForm" method="post">
						<input type="hidden" name="pizza_type" id="pizza-type" value="">
						<input type="hidden" id="pizza_price_" value="">
						<input type="hidden" name="_method" value="POST">
						<input type="hidden" id="order-url" value="">
						<div class="modal-header">
							<h5 class="modal-title" id="extrasModalLabel">Add Extras <span id="pizza-title"></span></h5>
							<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div class="modal-body">
							<div class="row">
								{% for extra in extras %}
									<div data-show="0" class="pizza-extras d-none col-6 text-end {{ extra.name }}">
										<label class="form-label align-right">{{ extra.name }}- €{{ extra.price }}</label>
									</div>
									<div data-show="0" class="pizza-extras d-none col-6 text-center {{ extra.name }}">
										<input class="extras_input" type="checkbox" style="width: 25px; height: 25px;" data-price="{{ extra.price }}" name="{{ extra.name }}"/>
									</div>
								{% endfor %}
							</div>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
							<button type="button" class="btn btn-primary" data-bs-dismiss="modal" id="add-order">Add Order</button>
						</div>
					</form>
				</div>
			</div>
		</div>

        <div class="float {{ menu == 'online-ordering' ? '' : 'd-none' }}" onclick="checkout();">
			<i class="fas fa-shopping-cart fa-2x icon-float"></i>
			<span class="float-counter total-counter" data-counter="{{ totalItem }}">{{ totalItem }}</span>
		</div>
		{% endif %}

    </body>
	{% if menu != 'login' and menu != 'admin' %}
	    <script>
	    	var myModalEl = document.getElementById('extrasModal')
			myModalEl.addEventListener('hidden.bs.modal', function (event) {
			  $(".pizza-extras").each(function (){
					if($(this).attr('data-show') == 1){
						$(this).attr('data-show', 0);
						$(this).addClass('d-none');
						$(this).attr('checked', false);
					}
					console.log($(this).attr('data-show'));
				});
			});
	    </script>
	{% endif %}

</html>
